<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <input type="text" v-on:input="alterarTitulo">
        <p>{{ titulo }}</p> <!-- interpretado ou interpolado pela tag tudo o que estiver entre o double mustache -->
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script> <!-- vue 2 -->
    <script src="index.js"></script>
</body>
</html>